Bug Hunting Session
Bug 76741 - FILESAVE: DOCX Table Width Type and Alignment is not preserved
Summary: FILESAVE: DOCX Table Width Type and Alignment is not preserved
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Vinaya Mandke
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-28 15:07 UTC by Vinaya Mandke
Modified: 2014-04-17 13:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Issue File (18.45 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-03-28 15:07 UTC, Vinaya Mandke
Details
Merged Image (394.27 KB, image/png)
2014-03-28 15:09 UTC, Vinaya Mandke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vinaya Mandke 2014-03-28 15:07:23 UTC
Steps to Reproduce:
1. Open file in LO.
2. Save as DOCX
3. Open the original file and the round tripped file in MS Word 2010
Notice that the table Width and alignment is not preserved


There are two issue related to table in the RT file
- the table alignment in RT is "left" instead of "center"
- the table width in properties is "auto" instead of "dxa"
Comment 1 Vinaya Mandke 2014-03-28 15:07:46 UTC
Created attachment 96545 [details]
Issue File
Comment 2 Vinaya Mandke 2014-03-28 15:09:12 UTC
Created attachment 96546 [details]
Merged Image

The merged image shows that the table is not rendered the same in Original and the RT
Comment 3 Jorendc 2014-03-31 07:25:00 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 37672f11a72723040b1c9452772dc6e12409e6cd
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-03-29_00:52:28

Kind regards,
Joren
Comment 4 Commit Notification 2014-04-14 06:50:49 UTC
Vinaya Mandke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c1e563f6efd09cd3463f1b92a3022ae288c92087

fdo#76741 [DOCX] Table Alignment and width type



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.